%bcond_without check

%global goipath         github.com/rubyist/tracerx
%global commit          787959303086f44a8c361240dfac53d3e9d53ed2

%gometa

%global common_description %{expand:
Package Tracerx implements a simple tracer function that uses environment
variables to control the output. It is a generalized package inspired by git's
GIT_TRACE mechanism.

By default, Tracerx will look for the TRACERX_TRACE environment variable. The
default can by changed by setting the DefaultKey. }

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Output tracing information in your Go app based on environment variables

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
